Upload experiment results
curl --request POST \
--url https://api.example.com/v3/evals/experiments/{experiment_id}/results \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"results": [
{
"experiment_item": {
"dataset_item_id": "<string>",
"outputs": {},
"duration_ms": 123,
"timestamp": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"error_reason": "<string>",
"error_message": "<string>"
},
"scores": [
{
"evaluator_name": "<string>",
"name": "<string>",
"value": 123,
"label": "<string>",
"reasoning": "<string>",
"error_reason": "<string>",
"error_message": "<string>"
}
]
}
]
}
'import requests
url = "https://api.example.com/v3/evals/experiments/{experiment_id}/results"
payload = { "results": [
{
"experiment_item": {
"dataset_item_id": "<string>",
"outputs": {},
"duration_ms": 123,
"timestamp": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"error_reason": "<string>",
"error_message": "<string>"
},
"scores": [
{
"evaluator_name": "<string>",
"name": "<string>",
"value": 123,
"label": "<string>",
"reasoning": "<string>",
"error_reason": "<string>",
"error_message": "<string>"
}
]
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
results: [
{
experiment_item: {
dataset_item_id: '<string>',
outputs: {},
duration_ms: 123,
timestamp: '2023-11-07T05:31:56Z',
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
error_reason: '<string>',
error_message: '<string>'
},
scores: [
{
evaluator_name: '<string>',
name: '<string>',
value: 123,
label: '<string>',
reasoning: '<string>',
error_reason: '<string>',
error_message: '<string>'
}
]
}
]
})
};
fetch('https://api.example.com/v3/evals/experiments/{experiment_id}/results', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"api_version": "3.0",
"kind": "NORMAL"
}{
"api_version": "3.0",
"kind": "ERROR",
"error": {
"code": 400,
"message": "Resource Not Found",
"errors": [
{
"reason": "ResourceNotFoundException",
"message": "Resource Not Found",
"help": "<string>"
}
]
}
}{
"api_version": "3.0",
"kind": "ERROR",
"error": {
"code": 400,
"message": "Resource Not Found",
"errors": [
{
"reason": "ResourceNotFoundException",
"message": "Resource Not Found",
"help": "<string>"
}
]
}
}{
"api_version": "3.0",
"kind": "ERROR",
"error": {
"code": 400,
"message": "Resource Not Found",
"errors": [
{
"reason": "ResourceNotFoundException",
"message": "Resource Not Found",
"help": "<string>"
}
]
}
}{
"api_version": "3.0",
"kind": "ERROR",
"error": {
"code": 400,
"message": "Resource Not Found",
"errors": [
{
"reason": "ResourceNotFoundException",
"message": "Resource Not Found",
"help": "<string>"
}
]
}
}{
"api_version": "3.0",
"kind": "ERROR",
"error": {
"code": 400,
"message": "Resource Not Found",
"errors": [
{
"reason": "ResourceNotFoundException",
"message": "Resource Not Found",
"help": "<string>"
}
]
}
}Experiments
Upload experiment results
Upload new experiment results, each with an item and its associated scores.
POST
/
v3
/
evals
/
experiments
/
{experiment_id}
/
results
Upload experiment results
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Path parameter for unique identifier of an experiment
Body
application/json
Request body for uploading a batch of experiment results.
Array of experiment results.
Show child attributes
Show child attributes
⌘I